## syft 1.32.0+ds

=== schema/cyclonedx/Makefile ===
.DEFAULT_GOAL := validate-schema
.PHONY: validate-schema
validate-schema:
	@echo "Generating CycloneDX SBOMs..."
	go run ../../cmd/syft/main.go ubuntu:latest -v -o cyclonedx-xml=bom.xml -o cyclonedx-json=bom.json

	@echo "\nValidating CycloneDX XML..."
	xmllint --noout --schema ./cyclonedx.xsd bom.xml

	@echo "\nValidating CycloneDX JSON..."
	../../.tool/yajsv -s cyclonedx.json bom.json

=== test/cli/test-fixtures/image-java-spdx-tools/Makefile ===
all: build validate

IMAGE := "spdx-java-tools:latest"

.PHONY: build
build:
	docker build -t spdx-java-tools:latest .

validate:
	docker run --rm -v $(DIR):/home/build/ $(IMAGE) Verify /home/build/$(BASE)

=== syft/pkg/cataloger/dotnet/test-fixtures/Makefile ===
FINGERPRINT_FILE=cache.fingerprint


.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures:
	@echo "nothing to do"

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find Makefile **/Dockerfile **/src/** -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
clean:
	rm -f $(FINGERPRINT_FILE)

=== cmd/syft/internal/test/integration/test-fixtures/Makefile ===
FINGERPRINT_FILE := cache.fingerprint

.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures:
	@echo "nothing to do"

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find image-* -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
.PHONY: clean
clean:
	rm -f $(FINGERPRINT_FILE)

=== syft/pkg/cataloger/java/test-fixtures/jar-metadata/Makefile ===
CACHE_DIR = cache
CACHE_PATH = $(shell pwd)/cache
FINGERPRINT_FILE=$(CACHE_DIR).fingerprint

ifndef CACHE_DIR
    $(error CACHE_DIR is not set)
endif

JACKSON_CORE = jackson-core-2.15.2
SBT_JACKSON_CORE = com.fasterxml.jackson.core.jackson-core-2.15.2
OPENSAML_CORE = opensaml-core-3.4.6
API_ALL_SOURCES = api-all-2.0.0-sources
SPRING_INSTRUMENTATION = spring-instrumentation-4.3.0-1.0
MULTIPLE_MATCHING = multiple-matching-2.11.5
ORG_MULTIPLE_THENAME = org.multiple-thename


.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures: $(CACHE_DIR)

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

$(CACHE_DIR): $(CACHE_DIR)/$(JACKSON_CORE).jar $(CACHE_DIR)/$(SBT_JACKSON_CORE).jar $(CACHE_DIR)/$(OPENSAML_CORE).jar  $(CACHE_DIR)/$(API_ALL_SOURCES).jar $(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar $(CACHE_DIR)/$(MULTIPLE_MATCHING).jar

$(CACHE_DIR)/$(JACKSON_CORE).jar:
	mkdir -p $(CACHE_DIR)
	cd $(JACKSON_CORE) && zip -r $(CACHE_PATH)/$(JACKSON_CORE).jar .

$(CACHE_DIR)/$(SBT_JACKSON_CORE).jar:
	mkdir -p $(CACHE_DIR)
	cd $(SBT_JACKSON_CORE) && zip -r $(CACHE_PATH)/$(SBT_JACKSON_CORE).jar .

$(CACHE_DIR)/$(OPENSAML_CORE).jar:
	mkdir -p $(CACHE_DIR)
	cd $(OPENSAML_CORE) && zip -r $(CACHE_PATH)/$(OPENSAML_CORE).jar .

$(CACHE_DIR)/$(API_ALL_SOURCES).jar:
	mkdir -p $(CACHE_DIR)
	cd $(API_ALL_SOURCES) && zip -r $(CACHE_PATH)/$(API_ALL_SOURCES).jar .

$(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar:
	mkdir -p $(CACHE_DIR)
	cd $(SPRING_INSTRUMENTATION) && zip -r $(CACHE_PATH)/$(SPRING_INSTRUMENTATION).jar .

$(CACHE_DIR)/$(MULTIPLE_MATCHING).jar:
	mkdir -p $(CACHE_DIR)
	cd $(MULTIPLE_MATCHING) && zip -r $(CACHE_PATH)/$(MULTIPLE_MATCHING).jar .

$(CACHE_DIR)/$(ORG_MULTIPLE_THENAME).jar:
	mkdir -p $(CACHE_DIR)
	cd $(ORG_MULTIPLE_THENAME) && zip -r $(CACHE_PATH)/$(ORG_MULTIPLE_THENAME).jar .

# Jenkins plugins typically do not have the version included in the archive name,
# so it is important to not include it in the generated test fixture
$(CACHE_DIR)/gradle.hpi:
	mkdir -p $(CACHE_DIR)
	cd jenkins-plugins/gradle/2.11 && zip -r $(CACHE_PATH)/gradle.hpi .

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find . ! -path '*/cache*'  -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
clean:
	rm -rf $(CACHE_DIR)/* $(FINGERPRINT_FILE)

=== syft/pkg/cataloger/java/test-fixtures/java-builds/Makefile ===
PKGSDIR=packages
FINGERPRINT_FILE=$(PKGSDIR).fingerprint

ifndef PKGSDIR
    $(error PKGSDIR is not set)
endif


.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures: jars archives native-image

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

jars: $(PKGSDIR)/example-java-app-maven-0.1.0.jar $(PKGSDIR)/example-java-app-gradle-0.1.0.jar $(PKGSDIR)/example-jenkins-plugin.hpi $(PKGSDIR)/spring-boot-0.0.1-SNAPSHOT.jar

archives: $(PKGSDIR)/example-java-app-maven-0.1.0.zip $(PKGSDIR)/example-java-app-maven-0.1.0.tar $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz

native-image: $(PKGSDIR)/example-java-app $(PKGSDIR)/gcc-amd64-darwin-exec-debug

# jars within archives...

$(PKGSDIR)/example-java-app-maven-0.1.0.zip: $(PKGSDIR)/example-java-app-maven-0.1.0.jar
	zip $(PKGSDIR)/example-java-app-maven-0.1.0.zip $(PKGSDIR)/example-java-app-maven-0.1.0.jar

$(PKGSDIR)/example-java-app-maven-0.1.0.tar: $(PKGSDIR)/example-java-app-maven-0.1.0.jar
	tar -cvf $(PKGSDIR)/example-java-app-maven-0.1.0.tar $(PKGSDIR)/example-java-app-maven-0.1.0.jar

$(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz: $(PKGSDIR)/example-java-app-maven-0.1.0.jar
	tar -czvf $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz $(PKGSDIR)/example-java-app-maven-0.1.0.jar

# Nested jar...

$(PKGSDIR)/spring-boot-0.0.1-SNAPSHOT.jar:
	./build-example-sb-app-nestedjar.sh $(PKGSDIR)

clean-nestedjar:
	rm -rf	example-sb-app/target

# Maven...
$(PKGSDIR)/example-java-app-maven-0.1.0.jar:
	./build-example-java-app-maven.sh $(PKGSDIR)

clean-maven:
	rm -rf	example-java-app/\? \
			example-java-app/target \
			example-java-app/dependency-reduced-pom.xml

# Gradle...
$(PKGSDIR)/example-java-app-gradle-0.1.0.jar:
	./build-example-java-app-gradle.sh $(PKGSDIR)

clean-gradle:
	rm -rf	example-java-app/.gradle \
			example-java-app/build

# Jenkins plugin
$(PKGSDIR)/example-jenkins-plugin.hpi , $(PKGSDIR)/example-jenkins-plugin.jar:
	./build-example-jenkins-plugin.sh $(PKGSDIR)

clean-jenkins:
	rm -rf	example-jenkins-plugin/target \
			example-jenkins-plugin/dependency-reduced-pom.xml \
			example-jenkins-plugin/*.exploding

# Native Image...
$(PKGSDIR)/example-java-app: $(PKGSDIR)/example-java-app-maven-0.1.0.jar
	./build-example-java-app-native-image.sh $(PKGSDIR)

$(PKGSDIR)/gcc-amd64-darwin-exec-debug:
	./build-example-macho-binary.sh $(PKGSDIR)

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find example-* build-* Makefile -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
clean: clean-examples
	rm -rf $(PKGSDIR) $(FINGERPRINT_FILE)

clean-examples: clean-gradle clean-maven clean-jenkins clean-nestedjar

.PHONY: maven gradle clean clean-gradle clean-maven clean-jenkins clean-examples clean-nestedjar jars archives

=== syft/file/cataloger/executable/test-fixtures/elf/project/Makefile ===
### GCC Options ############################################
CANARY := -fstack-protector
NO_CANARY := -fno-stack-protector

SHARED_OBJ := -shared

RELRO := -z relro -z now
PARTIAL_RELRO := -z relro
NO_RELRO := -z norelro

NX := -z noexecstack
NO_NX := -z execstack

PIE := -fpic -pie
NO_PIE := -no-pie

# deprecated
RPATH := -Wl,--disable-new-dtags,-rpath,./libs

# replaces RPATH (thus us mutually exclusive with it)
RUNPATH :=  -Wl,-rpath,./libs

GCCFLAGS := -g 

### Clang Options ############################################

SAFE_STACK := -fsanitize=safe-stack

CFI := -flto -fvisibility=hidden -fsanitize=cfi

FORTIFY := -O2 -D_FORTIFY_SOURCE=2

### Common Options ############################################

SRC := main.c
LIB_SRC := lib.c
BIN := ../bin

BINS :=        $(BIN)/no_protection $(BIN)/with_nx $(BIN)/pie_false_positive.so $(BIN)/with_pie $(BIN)/with_canary $(BIN)/with_relro $(BIN)/with_partial_relro $(BIN)/with_rpath $(BIN)/with_runpath $(BIN)/with_safestack $(BIN)/with_cfi $(BIN)/with_fortify $(BIN)/protected
#.PHONY: verify $(BIN)/no_protection $(BIN)/with_nx $(BIN)/pie_false_positive.so $(BIN)/with_pie $(BIN)/with_canary $(BIN)/with_relro $(BIN)/with_partial_relro $(BIN)/with_rpath $(BIN)/with_runpath $(BIN)/with_safestack $(BIN)/with_cfi $(BIN)/with_fortify $(BIN)/protected
.PHONY: verify clean all

all: $(BINS)


$(BIN)/no_protection : $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(NO_RELRO) $(NO_PIE) $(RUNPATH) 

$(BIN)/with_nx : $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NX) $(NO_RELRO) $(NO_PIE) 

$(BIN)/pie_false_positive.so: $(LIB_SRC)
	gcc $< -c -Wall -Werror -fpic $(LIB_SRC)
	gcc -shared -o $@ lib.o ; rm lib.o

$(BIN)/with_pie: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(NO_RELRO) $(PIE)

$(BIN)/with_canary: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(CANARY) $(NO_NX) $(NO_RELRO) $(NO_PIE) 

$(BIN)/with_relro: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(RELRO) $(NO_PIE)

$(BIN)/with_partial_relro: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(PARTIAL_RELRO) $(NO_PIE)

$(BIN)/with_rpath: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(NO_RELRO) $(NO_PIE) $(RPATH)

$(BIN)/with_runpath: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(NO_RELRO) $(NO_PIE) $(RUNPATH)

$(BIN)/with_safestack: $(SRC)
	clang $< -o $@ $(SAFE_STACK)

$(BIN)/with_cfi: $(SRC)
	clang $< -o $@ $(CFI)

$(BIN)/with_fortify: $(SRC)
	clang $< -o $@ $(FORTIFY)

#$(BIN)/with_selfrando: $(SRC)
#	srenv gcc $< -o $@ $(GCCFLAGS) $(NO_CANARY) $(NO_NX) $(NO_RELRO) $(NO_PIE)

$(BIN)/protected: $(SRC)
	gcc $< -o $@ $(GCCFLAGS) $(CANARY) $(NX) $(RELRO) $(PIE)

verify:
	@/bin/checksec --dir=$(BIN) --extended --output=json

clean:
	rm -rf $(BINS)

=== syft/file/cataloger/executable/test-fixtures/shared-info/project/Makefile ===
# invoke all make files in subdirectories
.PHONY: all hello libhello

all: hello libhello ../bin/gcc-amd64-darwin-exec-debug

hello:
	$(MAKE) -C hello

libhello:
	$(MAKE) -C libhello

../bin/gcc-amd64-darwin-exec-debug:
	curl -L -o ../bin/gcc-amd64-darwin-exec-debug  https://github.com/golang/tools/raw/9ed98faabadd2cb94de86d5290b1c6942b7c4877/cmd/splitdwarf/internal/macho/testdata/gcc-amd64-darwin-exec-debug

=== cmd/syft/internal/test/integration/test-fixtures/image-pkg-coverage/pkgs/r/base/DESCRIPTION ===
Package: base
Version: 4.3.0
Priority: base
Title: The R Base Package
Author: R Core Team and contributors worldwide
Maintainer: R Core Team <do-use-Contact-address@r-project.org>
Contact: R-help mailing list <r-help@r-project.org>
Description: Base R functions.
License: Part of R 4.3.0
Suggests: methods
Built: R 4.3.0; ; 2023-04-21 11:33:09 UTC; unix

## syft 0.97.1+ds

=== debian/changelog ===
syft (0.97.1+ds-0parrot1) lory; urgency=medium

  * Import new Kali release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 04 Dec 2023 20:19:05 +0100

syft (0.97.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.97.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Nov 2023 10:51:33 +0100

syft (0.96.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.96.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Nov 2023 11:54:04 +0100

syft (0.95.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.95.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Nov 2023 14:03:09 +0100

syft (0.94.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.94.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Oct 2023 16:12:33 +0200

syft (0.92.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.92.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2023 15:00:43 +0200

syft (0.91.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.91.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Sep 2023 09:37:48 +0200

syft (0.90.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.90.0+ds
  * Remove patch for go 1.21 (now in upstream release)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Sep 2023 15:49:37 +0200

syft (0.89.0+ds-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:28:15 +0200

syft (0.89.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.89.0+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Sep 2023 16:46:56 +0200

syft (0.88.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.88.0+ds
  * Fix the build with go version 1.21

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Aug 2023 10:20:41 +0200

syft (0.87.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.87.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2023 12:03:06 +0200

syft (0.86.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.86.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 15:28:27 +0200

syft (0.85.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.85.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 16:12:02 +0200

syft (0.84.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.84.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 15:22:57 +0200

syft (0.83.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.83.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Jun 2023 14:06:39 +0200

syft (0.82.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.82.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 31 May 2023 17:49:52 +0200

syft (0.79.0+ds-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 May 2023 11:51:34 +0200

=== debian/control ===
Source: syft
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-1.21-go | golang-any,
	       ca-certificates
Standards-Version: 4.6.2
Homepage: https://github.com/anchore/syft
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/anchore/syft

Package: syft
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: CLI tool for generating a SBOM from container images and filesystems
 This package contains a CLI tool and Go library for generating a Software Bill
 of Materials (SBOM) from container images and filesystems. Exceptional for
 vulnerability detection when used with a scanner like Grype.
 .
  * Generates SBOMs for container images, filesystems, archives, and more
    to discover packages and libraries
  * Supports OCI, Docker and Singularity image formats
  * Linux distribution identification
  * Works seamlessly with Grype (a fast, modern vulnerability scanner)
  * Able to create signed SBOM attestations using the in-toto
    specification 
  * Convert between SBOM formats, such as CycloneDX, SPDX, and Syft's own
    format.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor
export PATH := /usr/lib/go-1.21/bin:$(PATH)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	go install ./...

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

override_dh_golang:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds$//,repacksuffix=+ds" \
  https://github.com/anchore/syft/tags .*/v?(\d\S*)\.tar\.gz debian

## syft 1.27.1+ds

=== debian/changelog ===
syft (1.27.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.27.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 Jun 2025 14:35:12 +0200

syft (1.27.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.27.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 13:52:29 +0200

syft (1.26.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.26.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 May 2025 14:36:02 +0200

syft (1.25.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.25.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 11:42:50 +0200

syft (1.24.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.24.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 May 2025 16:31:37 +0200

syft (1.23.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.23.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Apr 2025 17:16:34 +0200

syft (1.22.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.22.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Apr 2025 16:59:23 +0200

syft (1.21.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.21.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Mar 2025 11:45:49 +0100

syft (1.20.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.20.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Feb 2025 09:34:39 +0100

syft (1.19.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.19.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 14:14:35 +0100

syft (1.18.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.18.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2024 11:47:44 +0100

syft (1.18.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.18.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Dec 2024 14:53:46 +0100

syft (1.15.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.15.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 16:26:05 +0100

syft (1.14.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.14.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 11:24:03 +0200

syft (1.13.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.13.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2024 11:53:57 +0200

syft (1.12.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.12.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Sep 2024 11:17:15 +0200

syft (1.11.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.11.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 08:32:11 +0200

syft (1.7.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.7.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jun 2024 14:45:29 +0200

syft (1.5.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 May 2024 16:43:00 +0200

syft (1.4.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.4.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 May 2024 15:19:37 +0200

syft (1.3.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Apr 2024 14:26:33 +0200

syft (1.0.0+ds-0kali1) kali-dev; urgency=medium

  * Force compression to gzip (uscan)
  * New upstream version 1.0.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Mar 2024 16:28:33 +0100

syft (0.105.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.105.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Feb 2024 10:06:45 +0100

syft (0.103.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.103.1+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Feb 2024 16:00:36 +0100

syft (0.102.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.102.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 16:04:38 +0100

syft (0.100.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.100.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jan 2024 17:02:45 +0100

syft (0.98.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 0.98.0+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Dec 2023 15:30:52 +0100

## syft 1.28.0+ds

=== debian/changelog ===
syft (1.28.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.28.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 03 Jul 2025 14:52:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: syft
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-1.21-go | golang-any,
+               golang-any,
 	       ca-certificates
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
+Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/anchore/syft

## syft 1.29.1+ds

=== debian/changelog ===
syft (1.29.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.29.1+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 06 Aug 2025 16:56:52 +0200

## syft 1.31.0+ds

=== debian/changelog ===
syft (1.31.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.31.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 15:04:28 +0200

syft (1.30.0+ds-0kali1) kali-dev; urgency=medium

  * Update my email
  * New upstream version 1.30.0+ds

 -- Sophie Brun <sophie@kali.org>  Mon, 11 Aug 2025 16:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,

## syft 1.32.0+ds

=== debian/changelog ===
syft (1.32.0+ds-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 1.32.0+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 27 Aug 2025 11:28:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export GOCACHE=$(CURDIR)/vendor
 export GOPATH=$(CURDIR)/vendor
-export PATH := /usr/lib/go-1.21/bin:$(PATH)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## syft 1.34.1%2Bds

=== debian/changelog ===
syft (1.34.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34.1+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 16 Oct 2025 11:17:35 +0200

## syft 1.34.1+ds

=== syft/pkg/cataloger/java/test-fixtures/jar-metadata/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 SPRING_INSTRUMENTATION = spring-instrumentation-4.3.0-1.0
 MULTIPLE_MATCHING = multiple-matching-2.11.5
 ORG_MULTIPLE_THENAME = org.multiple-thename
+MICRONAUT_AOP = micronaut-aop-4.9.11
 
 
 .DEFAULT_GOAL := fixtures
@@ -23,7 +24,7 @@
 # requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
 fingerprint: $(FINGERPRINT_FILE)
 
-$(CACHE_DIR): $(CACHE_DIR)/$(JACKSON_CORE).jar $(CACHE_DIR)/$(SBT_JACKSON_CORE).jar $(CACHE_DIR)/$(OPENSAML_CORE).jar  $(CACHE_DIR)/$(API_ALL_SOURCES).jar $(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar $(CACHE_DIR)/$(MULTIPLE_MATCHING).jar
+$(CACHE_DIR): $(CACHE_DIR)/$(JACKSON_CORE).jar $(CACHE_DIR)/$(SBT_JACKSON_CORE).jar $(CACHE_DIR)/$(OPENSAML_CORE).jar  $(CACHE_DIR)/$(API_ALL_SOURCES).jar $(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar $(CACHE_DIR)/$(MULTIPLE_MATCHING).jar $(CACHE_DIR)/$(MICRONAUT_AOP).jar
 
 $(CACHE_DIR)/$(JACKSON_CORE).jar:
 	mkdir -p $(CACHE_DIR)
@@ -53,6 +54,10 @@
 	mkdir -p $(CACHE_DIR)
 	cd $(ORG_MULTIPLE_THENAME) && zip -r $(CACHE_PATH)/$(ORG_MULTIPLE_THENAME).jar .
 
+$(CACHE_DIR)/$(MICRONAUT_AOP).jar:
+	mkdir -p $(CACHE_DIR)
+	cd $(MICRONAUT_AOP) && zip -r $(CACHE_PATH)/$(MICRONAUT_AOP).jar .
+
 # Jenkins plugins typically do not have the version included in the archive name,
 # so it is important to not include it in the generated test fixture
 $(CACHE_DIR)/gradle.hpi:

## syft 1.34.2%2Bds

=== debian/changelog ===
syft (1.34.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.34.2+ds

 -- Sophie Brun <sophie@kali.org>  Mon, 20 Oct 2025 15:54:31 +0200

## syft 1.34.2+ds

=== Makefile ===
OWNER = anchore
PROJECT = syft

TOOL_DIR = .tool
BINNY = $(TOOL_DIR)/binny
TASK = $(TOOL_DIR)/task

.DEFAULT_GOAL := make-default

## Bootstrapping targets #################################

# note: we need to assume that binny and task have not already been installed
$(BINNY):
	@mkdir -p $(TOOL_DIR)
	@curl -sSfL https://get.anchore.io/binny | sh -s -- -b $(TOOL_DIR)

# note: we need to assume that binny and task have not already been installed
.PHONY: task
$(TASK) task: $(BINNY)
	@$(BINNY) install task -q

.PHONY: ci-bootstrap-go
ci-bootstrap-go:
	go mod download

# this is a bootstrapping catch-all, where if the target doesn't exist, we'll ensure the tools are installed and then try again
%:
	@make --silent $(TASK)
	@$(TASK) $@

## Shim targets #################################

.PHONY: make-default
make-default: $(TASK)
	@# run the default task in the taskfile
	@$(TASK)

# for those of us that can't seem to kick the habit of typing `make ...` lets wrap the superior `task` tool
TASKS := $(shell bash -c "test -f $(TASK) && $(TASK) -l | grep '^\* ' | cut -d' ' -f2 | tr -d ':' | tr '\n' ' '" ) $(shell bash -c "test -f $(TASK) && $(TASK) -l | grep 'aliases:' | cut -d ':' -f 3 | tr '\n' ' ' | tr -d ','")

.PHONY: $(TASKS)
$(TASKS): $(TASK)
	@$(TASK) $@

help: $(TASK)
	@$(TASK) -l

=== test/install/Makefile ===
NAME=syft

FINGERPRINT_FILE := cache.fingerprint

# for local testing (not testing within containers) use the binny-managed version of cosign.
# this also means that the user does not need to install cosign on their system to run tests.
COSIGN_BINARY=../../.tool/cosign

IMAGE_NAME=$(NAME)-install.sh-env
UBUNTU_IMAGE=$(IMAGE_NAME):ubuntu-20.04
ALPINE_IMAGE=$(IMAGE_NAME):alpine-3.6
BUSYBOX_IMAGE=$(IMAGE_NAME):busybox-1.36

ENVS=./environments
DOCKER_RUN=docker run --rm -t -w /project/test/install -v $(shell pwd)/../../:/project
UNIT=make unit-run

# acceptance testing is running the current install.sh against the latest release. Note: this could be a problem down
# the line if there are breaking changes made that don't align with the latest release (but will be OK with the next
# release). This tests both installing with signature verification and without.
ACCEPTANCE_CMD=sh -c '../../install.sh -v -b /usr/local/bin && syft version && rm /usr/local/bin/syft && ../../install.sh -b /usr/local/bin && syft version'
# we also want to test against a previous release to ensure that install.sh defers execution to a former install.sh
PREVIOUS_RELEASE=v0.33.0
ACCEPTANCE_PREVIOUS_RELEASE_CMD=sh -c "../../install.sh -b /usr/local/bin $(PREVIOUS_RELEASE) && syft version"


define title
    @printf '\n≡≡≡[ $(1) ]≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡≡\n'
endef

.PHONY: test
test: unit acceptance

.PHONY: ci-test-mac
ci-test-mac: unit-run acceptance-local

# note: do not add acceptance-local to this list
.PHONY: acceptance
acceptance: acceptance-ubuntu-20.04 acceptance-alpine-3.6 acceptance-busybox-1.36

.PHONY: unit
unit: unit-ubuntu-20.04

.PHONY: unit-local
unit-local:
	$(call title,unit tests)
	@for f in $(shell ls *_test.sh); do echo "Running unit test suite '$${f}'"; bash -c "COSIGN_BINARY=$(COSIGN_BINARY) ./$${f}" || exit 1; done

.PHONY: unit-run
unit-run:
	$(call title,unit tests)
	@for f in $(shell ls *_test.sh); do echo "Running unit test suite '$${f}'"; bash $${f} || exit 1; done

.PHONY: acceptance-local
acceptance-local: acceptance-current-release-local acceptance-previous-release-local

.PHONY: acceptance-current-release-local
acceptance-current-release-local:
	$(ACCEPTANCE_CMD)

.PHONY: acceptance-previous-release-local
acceptance-previous-release-local:
	$(ACCEPTANCE_PREVIOUS_RELEASE_CMD)
	syft version | grep $(shell echo $(PREVIOUS_RELEASE)| tr -d "v")

.PHONY: save
save: ubuntu-20.04 alpine-3.6 busybox-1.36
	@mkdir cache || true
	docker image save -o cache/ubuntu-env.tar $(UBUNTU_IMAGE)
	docker image save -o cache/alpine-env.tar $(ALPINE_IMAGE)
	docker image save -o cache/busybox-env.tar $(BUSYBOX_IMAGE)

.PHONY: load
load:
	docker image load -i cache/ubuntu-env.tar
	docker image load -i cache/alpine-env.tar
	docker image load -i cache/busybox-env.tar

## UBUNTU #######################################################

.PHONY: acceptance-ubuntu-20.04
acceptance-ubuntu-20.04: ubuntu-20.04
	$(call title,ubuntu:20.04 - acceptance)
	$(DOCKER_RUN) $(UBUNTU_IMAGE) \
		$(ACCEPTANCE_CMD)

.PHONY: unit-ubuntu-20.04
unit-ubuntu-20.04: ubuntu-20.04
	$(call title,ubuntu:20.04 - unit)
	$(DOCKER_RUN) $(UBUNTU_IMAGE) \
		$(UNIT)

.PHONY: ubuntu-20.04
ubuntu-20.04:
	$(call title,ubuntu:20.04 - build environment)
	docker build -t $(UBUNTU_IMAGE) -f $(ENVS)/Dockerfile-ubuntu-20.04 .

## ALPINE #######################################################

# note: unit tests cannot be run with sh (alpine doesn't have bash by default)

.PHONY: acceptance-alpine-3.6
acceptance-alpine-3.6: alpine-3.6
	$(call title,alpine:3.6 - acceptance)
	$(DOCKER_RUN) $(ALPINE_IMAGE) \
		$(ACCEPTANCE_CMD)

.PHONY: alpine-3.6
alpine-3.6:
	$(call title,alpine:3.6 - build environment)
	docker build -t $(ALPINE_IMAGE) -f $(ENVS)/Dockerfile-alpine-3.6 .

## BUSYBOX #######################################################

# note: unit tests cannot be run with sh (busybox doesn't have bash by default)

# note: busybox by default will not have cacerts, so you will get TLS warnings (we want to test under these conditions)

.PHONY: acceptance-busybox-1.36
acceptance-busybox-1.36: busybox-1.36
	$(call title,busybox-1.36 - acceptance)
	$(DOCKER_RUN) $(BUSYBOX_IMAGE) \
		$(ACCEPTANCE_CMD)
	@echo "\n*** test note: you should see syft spit out a 'x509: certificate signed by unknown authority' error --this is expected ***"

.PHONY: busybox-1.36
busybox-1.36:
	$(call title,busybox-1.36 - build environment)
	docker build -t $(BUSYBOX_IMAGE) -f $(ENVS)/Dockerfile-busybox-1.36 .

## For CI ########################################################

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find ./environments/* -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

=== test/cli/test-fixtures/registry/Makefile ===
all: build start

.PHONY: stop
stop:
	docker kill registry

.PHONY: build
build:
	docker build -t localhost:5000/attest:latest .

.PHONY: start
start:
	docker run --rm \
				-d \
				--name registry \
				-it \
				--privileged \
				-p 5000:5000 \
				registry:2.8

.PHONY: push
push:
	docker push localhost:5000/attest:latest

=== syft/pkg/cataloger/kernel/test-fixtures/Makefile ===
FINGERPRINT_FILE=cache.fingerprint


.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures:
	@echo "nothing to do"

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find Makefile **/Dockerfile -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
clean:
	rm -f $(FINGERPRINT_FILE)

=== syft/pkg/cataloger/redhat/test-fixtures/Makefile ===
RPMSDIR=rpms
FINGERPRINT_FILE=$(RPMSDIR).fingerprint

ifndef RPMSDIR
    $(error RPMSDIR is not set)
endif


.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures: rpms

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

rpms:
	mkdir -p $(RPMSDIR)
	@# see note from https://dl.fedoraproject.org/pub/epel/7/README
	@#  ATTENTION
	@# ======================================
	@# The contents of this directory have been moved to our archives available at:
	@#
	@# http://archives.fedoraproject.org/pub/archive/epel/

	cd $(RPMSDIR) && curl -LO https://archives.fedoraproject.org/pub/archive/epel/7/x86_64/Packages/a/abc-1.01-9.hg20160905.el7.x86_64.rpm
	cd $(RPMSDIR) && curl -LO https://archives.fedoraproject.org/pub/archive/epel/7/x86_64/Packages/z/zork-1.0.3-1.el7.x86_64.rpm

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find Makefile -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
.PHONY: clean
clean:
	rm -rf $(RPMSDIR) $(FINGERPRINT_FILE)

=== syft/file/cataloger/executable/test-fixtures/shared-info/Makefile ===
BIN=./bin
TOOL_IMAGE=localhost/syft-shared-info-build-tools:latest
VERIFY_FILE=actual_verify
FINGERPRINT_FILE=$(BIN).fingerprint

ifndef BIN
    $(error BIN is not set)
endif

.DEFAULT_GOAL := fixtures

# requirement 1: 'fixtures' goal to generate any and all test fixtures
fixtures: build

# requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
fingerprint: $(FINGERPRINT_FILE)

tools-check:
	@sha256sum -c Dockerfile.sha256 || (echo "Tools Dockerfile has changed" && exit 1)

tools:
	@(docker inspect $(TOOL_IMAGE) > /dev/null && make tools-check) || (docker build -t $(TOOL_IMAGE) . && sha256sum Dockerfile > Dockerfile.sha256)

build: tools
	@mkdir -p $(BIN)
	docker run --platform linux/amd64 -i -v $(shell pwd):/mount -w /mount/project $(TOOL_IMAGE) make

debug:
	docker run --platform linux/amd64 -i --rm -v $(shell pwd):/mount -w /mount/project $(TOOL_IMAGE) bash

# requirement 3: we always need to recalculate the fingerprint based on source regardless of any existing fingerprint
.PHONY: $(FINGERPRINT_FILE)
$(FINGERPRINT_FILE):
	@find project Dockerfile Makefile -type f -exec sha256sum {} \; | sort -k2 > $(FINGERPRINT_FILE)
	@#cat $(FINGERPRINT_FILE) | sha256sum | awk '{print $$1}'

# requirement 4: 'clean' goal to remove all generated test fixtures
clean:
	rm -rf $(BIN) Dockerfile.sha256 $(VERIFY_FILE) $(FINGERPRINT_FILE)

.PHONY: tools tools-check build debug clean

=== syft/pkg/cataloger/java/test-fixtures/jar-metadata/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 MULTIPLE_MATCHING = multiple-matching-2.11.5
 ORG_MULTIPLE_THENAME = org.multiple-thename
 MICRONAUT_AOP = micronaut-aop-4.9.11
-
+COMMONS_LANG3 = commons-lang3-3.12.0
 
 .DEFAULT_GOAL := fixtures
 
@@ -24,7 +24,7 @@
 # requirement 2: 'fingerprint' goal to determine if the fixture input that indicates any existing cache should be busted
 fingerprint: $(FINGERPRINT_FILE)
 
-$(CACHE_DIR): $(CACHE_DIR)/$(JACKSON_CORE).jar $(CACHE_DIR)/$(SBT_JACKSON_CORE).jar $(CACHE_DIR)/$(OPENSAML_CORE).jar  $(CACHE_DIR)/$(API_ALL_SOURCES).jar $(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar $(CACHE_DIR)/$(MULTIPLE_MATCHING).jar $(CACHE_DIR)/$(MICRONAUT_AOP).jar
+$(CACHE_DIR): $(CACHE_DIR)/$(JACKSON_CORE).jar $(CACHE_DIR)/$(SBT_JACKSON_CORE).jar $(CACHE_DIR)/$(OPENSAML_CORE).jar  $(CACHE_DIR)/$(API_ALL_SOURCES).jar $(CACHE_DIR)/$(SPRING_INSTRUMENTATION).jar $(CACHE_DIR)/$(MULTIPLE_MATCHING).jar $(CACHE_DIR)/$(MICRONAUT_AOP).jar $(CACHE_DIR)/$(COMMONS_LANG3).jar
 
 $(CACHE_DIR)/$(JACKSON_CORE).jar:
 	mkdir -p $(CACHE_DIR)
@@ -58,6 +58,10 @@
 	mkdir -p $(CACHE_DIR)
 	cd $(MICRONAUT_AOP) && zip -r $(CACHE_PATH)/$(MICRONAUT_AOP).jar .
 
+$(CACHE_DIR)/$(COMMONS_LANG3).jar:
+	mkdir -p $(CACHE_DIR)
+	cd $(COMMONS_LANG3) && zip -r $(CACHE_PATH)/$(COMMONS_LANG3).jar .
+
 # Jenkins plugins typically do not have the version included in the archive name,
 # so it is important to not include it in the generated test fixture
 $(CACHE_DIR)/gradle.hpi:

=== syft/pkg/cataloger/python/test-fixtures/requires/requirements.txt ===
 flask == 4.0.0
# a line that is ignored
sqlalchemy >= 1.0.0, <= 2.0.0, != 3.0.0, <= 3.0.0
 foo == 1.0.0 # a comment that needs to be ignored
bar >= 1.0.0, <= 2.0.0, \
  != 3.0.0, <= 3.0.0
-e https://github.com/pecan/pecan.git
-r other-requirements.txt
--requirements super-secretrequirements.txt
SomeProject ==5.4 ; python_version < '3.8'
dots-._allowed == 1.0.0
coverage != 3.5 # Version Exclusion. Anything except version 3.5
numpyNew; sys_platform == 'win32'
numpy >= 3.4.1; sys_platform == 'win32'
Mopidy-Dirble ~= 1.1 # Compatible release. Same as >= 1.1, == 1.*
argh==0.26.2 \
  --hash=sha256:a9b3aaa1904eeb78e32394cd46c6f37ac0fb4af6dc488daa58971bdc7d7fcaf3 \
  --hash=sha256:e9535b8c84dc9571a48999094fda7f33e63c3f1b74f3e5f3ac0105a58405bb65
argh==0.26.3 --hash=sha256:a9b3aaa1904eeb78e32394cd46c6f37ac0fb4af6dc488daa58971bdc7d7fcaf3 --hash=sha256:e9535b8c84dc9571a48999094fda7f33e63c3f1b74f3e5f3ac0105a58405bb65
# CommentedOut == 1.2.3
# maybe invalid, but found out in the wild
==2.3.4
celery[redis, pytest] == 4.4.7 # should remove [redis, pytest]
requests[security] == 2.8.* ; python_version < "2.7" and sys_platform == "linux"
GithubSampleProject == 3.7.1 @ git+https://github.com/owner/repo@releases/tag/v3.7.1
FrIeNdLy-_-bArD == 1.0.0

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
 Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/anchore/syft
 
 Package: syft

## syft 1.37.0%2Bds

=== debian/changelog ===
syft (1.37.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.37.0+ds

 -- Sophie Brun <sophie@kali.org>  Thu, 06 Nov 2025 15:30:15 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      compression=gzip, \
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds$//,repacksuffix=+ds" \
  https://github.com/anchore/syft/tags .*/v?(\d\S*)\.tar\.gz debian

## syft 1.37.0+ds

=== syft/pkg/cataloger/r/test-fixtures/DESCRIPTION ===
Package: stringr
Title: Simple, Consistent Wrappers for Common String Operations
Version: 1.5.0.9000
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre", "cph"),
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: A consistent, simple and easy to use set of wrappers around
    the fantastic 'stringi' package. All function and argument names (and
    positions) are consistent, all functions deal with "NA"'s and zero
    length vectors in the same way, and the output from one function is
    easy to feed into the input of another.
License: MIT + file LICENSE
URL: https://stringr.tidyverse.org, https://github.com/tidyverse/stringr
BugReports: https://github.com/tidyverse/stringr/issues
Depends: 
    R (>= 3.3)
Imports: 
    cli,
    glue (>= 1.6.1),
    lifecycle (>= 1.0.3),
    magrittr,
    rlang (>= 1.0.0),
    stringi (>= 1.5.3),
    vctrs (>= 0.4.0)
Suggests: 
    covr,
    dplyr,
    gt,
    htmltools,
    htmlwidgets,
    knitr,
    rmarkdown,
    testthat (>= 3.0.0),
    tibble
VignetteBuilder: 
    knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.2.1

=== syft/file/cataloger/executable/test-fixtures/shared-info/project/hello/Makefile ===
.PHONY: all linux windows mac

BIN=../../bin

all: $(BIN)/hello_linux $(BIN)/hello.exe $(BIN)/hello_mac $(BIN)/hello_mac_universal

linux: $(BIN)/libhello.so

windows: $(BIN)/libhello.dll

mac: $(BIN)/libhello.dylib $(BIN)/hello_mac_universal

$(BIN)/hello_linux:
	gcc hello.c -o $(BIN)/hello_linux

$(BIN)/hello.exe:
	x86_64-w64-mingw32-gcc hello.c -o $(BIN)/hello.exe

$(BIN)/hello_mac:
	o64-clang hello.c -o $(BIN)/hello_mac

$(BIN)/hello_mac_universal:
	o64-clang -arch arm64 -arch x86_64 hello.c -o $(BIN)/hello_mac_universal

clean:
	rm -f $(BIN)/hello_linux $(BIN)/hello.exe $(BIN)/hello_mac $(BIN)/hello_mac_universal

=== syft/file/cataloger/executable/test-fixtures/shared-info/project/libhello/Makefile ===
.PHONY: all linux windows mac

BIN=../../bin

all:  $(BIN)/libhello.so  $(BIN)/libhello.dll $(BIN)/libhello.dylib $(BIN)/libhello_universal.dylib

linux: $(BIN)/libhello.so

windows: $(BIN)/libhello.dll

mac: $(BIN)/libhello.dylib $(BIN)/libhello_universal.dylib

$(BIN)/libhello.so:
	gcc -shared -fPIC -o $(BIN)/libhello.so hello.c

$(BIN)/libhello.dll:
	x86_64-w64-mingw32-gcc -shared -o $(BIN)/hello.dll hello.c -Wl,--out-implib,$(BIN)/libhello.a

$(BIN)/libhello.dylib:
	o64-clang -dynamiclib -o $(BIN)/libhello.dylib hello.c

$(BIN)/libhello_universal.dylib:
	o64-clang -dynamiclib -arch arm64 -arch x86_64 hello.c -o $(BIN)/libhello_universal.dylib

clean:
	rm -f $(BIN)/libhello.so $(BIN)/hello.dll $(BIN)/libhello.dylib $(BIN)/libhello.a $(BIN)/libhello_universal.dylib

## syft 1.38.0%2Bds

=== debian/changelog ===
syft (1.38.0+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.0+ds

 -- Sophie Brun <sophie@kali.org>  Tue, 18 Nov 2025 09:40:55 +0100

=== debian/tests/control ===
Test-Command: syft --help
Restrictions: superficial

## syft 1.38.0+ds

=== syft/pkg/cataloger/python/test-fixtures/pypi-remote/requirements.txt ===
certifi == 2025.10.5

=== debian/changelog ===
syft (1.38.0+ds-0parrot1) echo; urgency=medium

  * Import Kali package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 21:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: syft
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-	       ca-certificates
+               ca-certificates
 Standards-Version: 4.6.2
-Vcs-Browser: https://gitlab.com/kalilinux/packages/syft
-Vcs-Git: https://gitlab.com/kalilinux/packages/syft.git
 Homepage: https://github.com/anchore/syft
 XS-Go-Import-Path: github.com/anchore/syft

## syft 1.38.2+ds

=== syft/pkg/cataloger/java/test-fixtures/java-builds/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 jars: $(PKGSDIR)/example-java-app-maven-0.1.0.jar $(PKGSDIR)/example-java-app-gradle-0.1.0.jar $(PKGSDIR)/example-jenkins-plugin.hpi $(PKGSDIR)/spring-boot-0.0.1-SNAPSHOT.jar
 
-archives: $(PKGSDIR)/example-java-app-maven-0.1.0.zip $(PKGSDIR)/example-java-app-maven-0.1.0.tar $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz
+archives: $(PKGSDIR)/example-java-app-maven-0.1.0.zip $(PKGSDIR)/example-java-app-maven-0.1.0.tar $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz $(PKGSDIR)/example-java-app-maven-0.1.0.tgz
 
 native-image: $(PKGSDIR)/example-java-app $(PKGSDIR)/gcc-amd64-darwin-exec-debug
 
@@ -30,6 +30,9 @@
 
 $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz: $(PKGSDIR)/example-java-app-maven-0.1.0.jar
 	tar -czvf $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz $(PKGSDIR)/example-java-app-maven-0.1.0.jar
+
+$(PKGSDIR)/example-java-app-maven-0.1.0.tgz: $(PKGSDIR)/example-java-app-maven-0.1.0.tar.gz
+	tar -czf $(PKGSDIR)/example-java-app-maven-0.1.0.tgz $(PKGSDIR)/example-java-app-maven-0.1.0.jar
 
 # Nested jar...

=== debian/changelog ===
syft (1.38.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.2+ds

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 14:16:38 +0100
